--- title: "deleteTrigger" slug: "analytics-dataflow-deletetrigger" updated: 2026-09-17T09:58:00Z published: 2026-09-17T09:58:00Z canonical: "api.ncloud-docs.com/analytics-dataflow-deletetrigger" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # deleteTrigger Available in VPC Delete a trigger. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | DELETE | /api/v1/triggers/{triggerId} | ### Request headers For information about the headers common to all Data Flow APIs, see [Data Flow request headers](/docs/en/analytics-dataflow#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `triggerId` | String | Required | Trigger ID - See [getTriggers](/docs/en/analytics-dataflow-gettriggers). | ### Request example The request example is as follows: ``` curl --location --request DELETE 'https://dataflow.apigw.ntruss.com/api/v1/triggers/rWOjcW******' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response status codes For response status codes common to all Data Flow APIs, see [Data Flow response status codes](/docs/en/analytics-dataflow#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` true ```